package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBObjectUpdate entity.
 */
public class TBObjectUpdateDTO implements Serializable {

    private Long id;

    private String index;

    private Integer times;

    private Long tbObjectParameterId;

    private Long tbActivityId;

    private TBObjectParameterDTO tbObjectParameterDTO;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }

    public Long getTbObjectParameterId() {
        return tbObjectParameterId;
    }

    public void setTbObjectParameterId(Long tBObjectParameterId) {
        this.tbObjectParameterId = tBObjectParameterId;
    }

    public Long getTbActivityId() {
        return tbActivityId;
    }

    public void setTbActivityId(Long tBActivityId) {
        this.tbActivityId = tBActivityId;
    }

    public TBObjectParameterDTO getTbObjectParameterDTO() {
        return tbObjectParameterDTO;
    }

    public void setTbObjectParameterDTO(TBObjectParameterDTO tbObjectParameterDTO) {
        this.tbObjectParameterDTO = tbObjectParameterDTO;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBObjectUpdateDTO tBObjectUpdateDTO = (TBObjectUpdateDTO) o;
        if (tBObjectUpdateDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBObjectUpdateDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBObjectUpdateDTO{" +
            "id=" + getId() +
            ", index=" + getIndex() +
            ", times=" + getTimes() +
            ", tbObjectParameter=" + getTbObjectParameterId() +
            ", tbObjectParameter=" + getTbObjectParameterDTO() +
            ", tbActivity=" + getTbActivityId() +
            "}";
    }
}
